MyGUI::RotatingSkin Class Reference

`#include <MyGUI_RotatingSkin.h>`

Inheritance diagram for MyGUI::RotatingSkin:
[legend]

## Public Types

typedef RTTIBase | Base
typedef RotatingSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| RotatingSkin ()
void | setAngle (float _angle)
float | getAngle () const
void | setCenter (const IntPoint &_center)
IntPoint | getCenter (bool _local=true) const
void | setAlpha (float _alpha) override
void | setVisible (bool _visible) override
void | setStateData (IStateInfo *_data) override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | doRender () override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
void | _setUVSet (const FloatRect &_rect) override
void | _setColour (const Colour &_value) override
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions

void | _rebuildGeometry ()
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Additional Inherited Members

Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

Definition at line 18 of file MyGUI_RotatingSkin.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::RotatingSkin::Base

Definition at line 20 of file MyGUI_RotatingSkin.h.

## RTTIBase

typedef RotatingSkin MyGUI::RotatingSkin::RTTIBase

Definition at line 20 of file MyGUI_RotatingSkin.h.

## Constructor & Destructor Documentation

## RotatingSkin()

MyGUI::RotatingSkin::RotatingSkin | ( |  | ) |

Definition at line 17 of file MyGUI_RotatingSkin.cpp.

## Member Function Documentation

## _correctView()

void MyGUI::RotatingSkin::_correctView | ( |  | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 66 of file MyGUI_RotatingSkin.cpp.

## _rebuildGeometry()

void MyGUI::RotatingSkin::_rebuildGeometry | ( |  | ) |

protected

Definition at line 220 of file MyGUI_RotatingSkin.cpp.

## _setAlign()

void MyGUI::RotatingSkin::_setAlign | ( | const IntSize & | _oldsize | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 74 of file MyGUI_RotatingSkin.cpp.

## _setColour()

void MyGUI::RotatingSkin::_setColour | ( | const Colour & | _value | ) |

override virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 186 of file MyGUI_RotatingSkin.cpp.

## _setUVSet()

void MyGUI::RotatingSkin::_setUVSet | ( | const FloatRect & | _rect | ) |

override virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 205 of file MyGUI_RotatingSkin.cpp.

## _updateView()

void MyGUI::RotatingSkin::_updateView | ( |  | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 115 of file MyGUI_RotatingSkin.cpp.

## createDrawItem()

void MyGUI::RotatingSkin::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node )

override virtual

Implements MyGUI::ISubWidget.

Definition at line 125 of file MyGUI_RotatingSkin.cpp.

## destroyDrawItem()

void MyGUI::RotatingSkin::destroyDrawItem | ( |  | ) |

override virtual

Implements MyGUI::ISubWidget.

Definition at line 134 of file MyGUI_RotatingSkin.cpp.

## doRender()

void MyGUI::RotatingSkin::doRender | ( |  | ) |

override virtual

Implements MyGUI::ISubWidget.

Definition at line 143 of file MyGUI_RotatingSkin.cpp.

## getAngle()

float MyGUI::RotatingSkin::getAngle | ( |  | ) | const

Get angle of rotation in radians

Definition at line 350 of file MyGUI_RotatingSkin.cpp.

## getCenter()

IntPoint MyGUI::RotatingSkin::getCenter | ( | bool | _local = true | ) | const

Get center of rotation

Definition at line 40 of file MyGUI_RotatingSkin.cpp.

## getClassTypeName()

std::string_view MyGUI::RotatingSkin::getClassTypeName | ( |  | ) |

inline static

Definition at line 20 of file MyGUI_RotatingSkin.h.

## getTypeName()

virtual std::string_view MyGUI::RotatingSkin::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 20 of file MyGUI_RotatingSkin.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::RotatingSkin::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 20 of file MyGUI_RotatingSkin.h.

## isType() [2/2]

virtual bool MyGUI::RotatingSkin::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 20 of file MyGUI_RotatingSkin.h.

## setAlpha()

void MyGUI::RotatingSkin::setAlpha | ( | float | _alpha | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 57 of file MyGUI_RotatingSkin.cpp.

## setAngle()

void MyGUI::RotatingSkin::setAngle | ( | float | _angle | ) |

Set angle of rotation in radians

Definition at line 22 of file MyGUI_RotatingSkin.cpp.

## setCenter()

void MyGUI::RotatingSkin::setCenter | ( | const IntPoint & | _center | ) |

Set center of rotation

Parameters

  _center | Center point.

Definition at line 31 of file MyGUI_RotatingSkin.cpp.

## setStateData()

void MyGUI::RotatingSkin::setStateData | ( | IStateInfo * | _data | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 195 of file MyGUI_RotatingSkin.cpp.

## setVisible()

void MyGUI::RotatingSkin::setVisible | ( | bool | _visible | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 45 of file MyGUI_RotatingSkin.cpp.

The documentation for this class was generated from the following files:

- MyGUI_RotatingSkin.h
- MyGUI_RotatingSkin.cpp